# PCHYPRESetType

Sets which hypre preconditioner you wish to use

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCHYPRESetType(PC pc,const char name[])

### Input Parameters

| pc | - the preconditioner context
| name | - either pilut, parasails, boomeramg, euclid

### Options Database Keys

-pc_hypre_type - One of pilut, parasails, boomeramg, euclid

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCHYPRE

Level:intermediate
Location: src/ksp/pc/impls/hypre/hypre.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages